package Src;

public class Sommet {
	
	private int idSom;
	private float longitude;
	private float latitude;
	private int altitude;
	private String nom;
	private boolean station=false;
	
	
	//Pour savoir si ce sommet est une station
	public boolean isStation() {
		return station;
	}

	//Pour transformer la station en sommet
	public void setStation() {
		this.station = true;
	}

	//Pour initialiser un sommet (constructeur)
	public Sommet(int idSom, float longitude, float latitude, int altitude, String nom) {
		this.idSom = idSom;
		this.altitude = altitude;
		this.longitude = longitude;
		this.latitude = latitude;
		this.nom = nom;
	}

	//Renvoie le nom de ce sommet
	public String getNom() {
		return nom;
	}

	//Affecter un nom ?? un sommet
	public void setNom(String nom) {
		this.nom = nom;
	}

	//Renvoie l'identifiant du sommet
	public int getIdSom() {
		return idSom;
	}

	//Affecter l'identifiant d'un sommet
	public void setIdSom(int idSom) {
		this.idSom = idSom;
	}

	//Renvoie la longitude de ce sommet
	public double getLongitude(){
		return longitude;
	}

	//Renvoie l'altitude de ce sommet
	public int getAltitude() {
		return altitude;
	}

	//Affecte l'altitude de ce sommet
	public void setAltitude(int altitude) {
		this.altitude = altitude;
	}

	//Renvoie la latitude de ce sommet
	public double getLatitude() {
		return latitude;
	}

	//Affecter la latitude d'un sommet
	public void setLatitude(int latitude) {
		this.latitude = latitude;
	}

	//Affecte la longitude de ce sommet
	public void setLongitude(int longitude) {
		this.longitude = longitude;
	}
	
	//Renvoie un sommet sous forme textuelle
	public String toString(){
		return("Sommet " + this.idSom + " (" + this.longitude + ", " +
		this.latitude + ", " + this.altitude + ")  " + this.nom) ;
	}

}
